Package org.eclipse.cdt.core.parser

## Interface ISignificantMacros

    public interface ISignificantMacros

Significant macros describe the conditions under which the preprocessor selects the same active code branches in a file.

Since:
  5.4
Restriction:
  This interface is not intended to be implemented by clients.
Restriction:
  This interface is not intended to be extended by clients.

### Nested Class Summary

Nested Classes
`static interface` `ISignificantMacros.IVisitor`

### Field Summary

Fields
`static ISignificantMacros` `NONE`

### Method Summary

All Methods Instance Methods Abstract Methods
`boolean` `accept​(ISignificantMacros.IVisitor visitor)` Returns whether visitor continued its visit till the end.
`char[]` `encode()` Returns the significant macros encoded as an array of characters.

### Field Detail

#### NONE

    static final ISignificantMacros NONE

### Method Detail

#### accept

    boolean accept​(ISignificantMacros.IVisitor visitor)

Returns whether visitor continued its visit till the end.

#### encode

    char[] encode()

Returns the significant macros encoded as an array of characters.